# FIACRE.defn.tcl


proc {FIACRE} {name c n} {
          define-register $name cCAMAC reset            "-c$c -n$n -a0 -f9"
          define-register $name xCAMAC status           "-c$c -n$n -pro -a0 -f1"
          define-register $name xCAMAC status.IR        "-c$c -n$n -pro -a0 -f1 -l4 -b0"
          define-register $name xCAMAC status.CAddr     "-c$c -n$n -pro -a0 -f1 -l4 -b4"
          define-register $name xCAMAC status.N         "-c$c -n$n -pro -a0 -f1 -l5 -b8"
          define-register $name xCAMAC status.CMSwitch  "-c$c -n$n -pro -a0 -f1 -l1 -b13"
          define-register $name xCAMAC status.DC        "-c$c -n$n -pro -a0 -f1 -l1 -b14"
          define-register $name xCAMAC status.DM        "-c$c -n$n -pro -a0 -f1 -l1 -b15"

          define-register $name cCAMAC incrIR           "-c$c -n$n -a1 -f25"
          define-register $name cCAMAC setI             "-c$c -n$n -a2 -f25"
          define-register $name cCAMAC DCEnable         "-c$c -n$n -a1 -f26"
          define-register $name cCAMAC DCDisable        "-c$c -n$n -a1 -f24"
          define-register $name cCAMAC DiagMEnable      "-c$c -n$n -a2 -f26"
          define-register $name cCAMAC DiagMDisable     "-c$c -n$n -a2 -f24"
}


proc {FIACRE_DAQ-reset} {args} {
#    FIACRE
   set module [first $args]
   read-register $module.reset
}

#    The FIACRE module needs no actions for normal DA stop and go

proc {FIACRE_DAQ-go} {args} {
#    FIACRE
   set module [first $args]
}

proc {FIACRE_DAQ-halt} {args} {
#    FIACRE
   set module [first $args]
}
