# LC2277.defn.tcl


proc {LeCroy 2277} {name c n} {
          define-register $name cCAMAC clear          "-c$c -n$n -a0 -f9"
          define-register $name cCAMAC reset          "-c$c -n$n -a0 -f9"
          define-register $name cCAMAC testlam        "-c$c -n$n -a0 -f8"
          define-register $name cCAMAC clearlam       "-c$c -n$n -a0 -f10"
          define-register $name cCAMAC disable        "-c$c -n$n -a0 -f24"
          define-register $name cCAMAC enable         "-c$c -n$n -a0 -f26"
          define-register $name cCAMAC test           "-c$c -n$n -a0 -f25"
          define-register $name cCAMAC testbuffering  "-c$c -n$n -a0 -f27"
          define-register $name cCAMAC testbusy       "-c$c -n$n -a1 -f27"
          define-register $name xCAMAC status         "-c$c -n$n -a0 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC status.mode    "-c$c -n$n -a0 -f1 -prw -l1 -b15 -zd -i1"
          define-register $name xCAMAC status.timeout "-c$c -n$n -a0 -f1 -prw -l3 -b12 -zd"
          define-register $name xCAMAC status.leading "-c$c -n$n -a0 -f1 -prw -l1 -b11 -zd"
          define-register $name xCAMAC status.trailing "-c$c -n$n -a0 -f1 -prw -l1 -b10 -zd -i1"
          define-register $name xCAMAC status.eventest "-c$c -n$n -a0 -f1 -prw -l1 -b9 -zd"
          define-register $name xCAMAC status.oddtest  "-c$c -n$n -a0 -f1 -prw -l1 -b8 -zd"
          define-register $name xCAMAC status.trigmode "-c$c -n$n -a0 -f1 -prw -l1 -b7 -zd"
          define-register $name xCAMAC status.testhit "-c$c -n$n -a0 -f1 -prw -l2 -b2 -zd"
          define-register $name xCAMAC status.testhitlen "-c$c -n$n -a0 -f1 -prw -l2 -b0 -zd"
          define-register $name xCAMAC data           "-c$c -n$n -a0 -f0 -w24 -pro -l0 -b0 -zx -q1"
}

proc {LeCroy 2277_DAQ-reset} {args} {
#   LC2277
   set module [first $args]
   if {[read-register $module.reset] != "%11"} then {no-QX $module.reset}
   read-register $module.disable
   write-register $module.status 0x8400
}

proc {LeCroy 2277_DAQ-go} {args} {
#   LC2277
    set module [first $args]
   if {[read-register $module.reset] != "%11"} then {no-QX $module.reset}
}

proc {LeCroy 2277_DAQ-halt} {args} {
#   LC2277
    set module [first $args]
}

